Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support customers

GET/workspaces/{organizationId}/support/customers
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
limitinteger
min 1 · max 100 · default: 20
cursorstring
companyIdstring
qstring
Responses
200

Customers list

customersobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
emailOptOutbooleanrequired
emailOptOutAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
companyIdstringrequired
namestring | nullrequired
isPrimarybooleanrequired
createdAtstringrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring | nullrequired
valuestringrequired
isPrimarybooleanrequired
createdAtstringrequired
nextCursorstring | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/customers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "customers": [
    {
      "id": "string",
      "organizationId": "string",
      "userId": "string",
      "externalId": "string",
      "externalSource": "string",
      "email": "string",
      "fullName": "string",
      "phone": "string",
      "emailOptOut": true,
      "emailOptOutAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "companies": [
        {
          "id": "string",
          "customerId": "string",
          "companyId": "string",
          "name": "string",
          "isPrimary": true,
          "createdAt": "string"
        }
      ],
      "identities": [
        {
          "id": "string",
          "customerId": "string",
          "type": "email",
          "subType": "string",
          "value": "string",
          "isPrimary": true,
          "createdAt": "string"
        }
      ]
    }
  ],
  "nextCursor": "string"
}

Was this page helpful?